Subject: [bug#53964] [PATCH 2/4] gnu: gcc: Add 2.95.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 14 Feb 2022 10:33:55 +0100

Maxime Devos <[email-masked]> skribis:

> Ludovic Courtès schreef op za 12-02-2022 om 22:45 [+0100]:
>> +           #:tests? #f
>
> Why are tests disabled here?

That’s the same for all the GCC variants, including ‘gcc-core-mesboot0’,
which was the inspiration for this one.  I think the main reason is that
“it’s difficult” (there’s a dependency on DejaGNU, the fact that you
cannot expect all tests to pass, and the fact that many tests would
probably need to be adjusted.)

In this case I didn’t even try, but since it’s an ancient package, it’s
even more likely to be problematic, and since it’s only used for
bootstrapping, I would not bother as long as it’s good enough to build
ghc@4.

Thoughts?

Ludo’.